package com.ruoyi.mall.service.impl;

import com.ruoyi.mall.domain.MallGoodsClass;
import com.ruoyi.mall.mapper.MallGoodsClassMapper;
import com.ruoyi.mall.service.IMallGoodsClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * 商品类型Service业务层处理
 * 
 * @author chang
 * @date 2021-11-25
 */
@Service
public class MallGoodsClassServiceImpl implements IMallGoodsClassService 
{
    @Autowired
    private MallGoodsClassMapper mallGoodsClassMapper;

    /**
     * 查询商品类型
     * 
     * @param id 商品类型主键
     * @return 商品类型
     */
    @Override
    public MallGoodsClass selectMallGoodsClassById(Long id)
    {
        return mallGoodsClassMapper.selectMallGoodsClassById(id);
    }

    /**
     * 查询商品类型列表
     * 
     * @param mallGoodsClass 商品类型
     * @return 商品类型
     */
    @Override
    public List<MallGoodsClass> selectMallGoodsClassList(MallGoodsClass mallGoodsClass)
    {
        return mallGoodsClassMapper.selectMallGoodsClassList(mallGoodsClass);
    }




    /**
     * 新增商品类型
     * 
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    @Override
    public int insertMallGoodsClass(MallGoodsClass mallGoodsClass)
    {
        return mallGoodsClassMapper.insertMallGoodsClass(mallGoodsClass);
    }

    /**
     * 修改商品类型
     * 
     * @param mallGoodsClass 商品类型
     * @return 结果
     */
    @Override
    public int updateMallGoodsClass(MallGoodsClass mallGoodsClass)
    {
        return mallGoodsClassMapper.updateMallGoodsClass(mallGoodsClass);
    }

    /**
     * 批量删除商品类型
     * 
     * @param ids 需要删除的商品类型主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsClassByIds(Long[] ids)
    {
        return mallGoodsClassMapper.deleteMallGoodsClassByIds(ids);
    }

    /**
     * 删除商品类型信息
     * 
     * @param id 商品类型主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsClassById(Long id)
    {
        return mallGoodsClassMapper.deleteMallGoodsClassById(id);
    }

    /*
     * 查询所有在使用的商品分类
     *
     * */
    public List<MallGoodsClass> selectDefaultMallGoodsClasses(){
        return mallGoodsClassMapper.selectDefaultMallGoodsClasses();
    }

    @Override
    public List<MallGoodsClass> listByParentIds(List<Long> ids) {
        return mallGoodsClassMapper.listByParentIds(ids);
    }

}
